Remove unused code.  And fix a function prototype to match function.
No impact on generated code or NWFPE performance.

PATCH FOLLOWS
KernelVersion: 2.4.19-rmk6

diff -uNr linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11.c linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11.c
--- linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11.c	Sun Mar  9 13:23:39 2003
+++ linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11.c	Sun Mar  9 17:51:54 2003
@@ -46,77 +46,43 @@
 
 	/* FPSR: set system id to FP_EMULATOR, set AC, clear all other bits */
 	fpa11->fpsr = FP_EMULATOR | BIT_AC;
-
-	/* FPCR: set SB, AB and DA bits, clear all others */
-#if MAINTAIN_FPCR
-	fpa11->fpcr = MASK_RESET;
-#endif
 }
 
 void SetRoundingMode(const unsigned int opcode)
 {
-#if MAINTAIN_FPCR
-	FPA11 *fpa11 = GET_FPA11();
-	fpa11->fpcr &= ~MASK_ROUNDING_MODE;
-#endif
 	switch (opcode & MASK_ROUNDING_MODE) {
 	default:
 	case ROUND_TO_NEAREST:
 		float_rounding_mode = float_round_nearest_even;
-#if MAINTAIN_FPCR
-		fpa11->fpcr |= ROUND_TO_NEAREST;
-#endif
 		break;
 
 	case ROUND_TO_PLUS_INFINITY:
 		float_rounding_mode = float_round_up;
-#if MAINTAIN_FPCR
-		fpa11->fpcr |= ROUND_TO_PLUS_INFINITY;
-#endif
 		break;
 
 	case ROUND_TO_MINUS_INFINITY:
 		float_rounding_mode = float_round_down;
-#if MAINTAIN_FPCR
-		fpa11->fpcr |= ROUND_TO_MINUS_INFINITY;
-#endif
 		break;
 
 	case ROUND_TO_ZERO:
 		float_rounding_mode = float_round_to_zero;
-#if MAINTAIN_FPCR
-		fpa11->fpcr |= ROUND_TO_ZERO;
-#endif
 		break;
 	}
 }
 
 void SetRoundingPrecision(const unsigned int opcode)
 {
-#if MAINTAIN_FPCR
-	FPA11 *fpa11 = GET_FPA11();
-	fpa11->fpcr &= ~MASK_ROUNDING_PRECISION;
-#endif
 	switch (opcode & MASK_ROUNDING_PRECISION) {
 	case ROUND_SINGLE:
 		floatx80_rounding_precision = 32;
-#if MAINTAIN_FPCR
-		fpa11->fpcr |= ROUND_SINGLE;
-#endif
 		break;
 
 	case ROUND_DOUBLE:
 		floatx80_rounding_precision = 64;
-#if MAINTAIN_FPCR
-		fpa11->fpcr |= ROUND_DOUBLE;
-#endif
 		break;
 
 	case ROUND_EXTENDED:
 		floatx80_rounding_precision = 80;
-#if MAINTAIN_FPCR
-		fpa11->fpcr |= ROUND_EXTENDED;
-#endif
 		break;
 
 	default:
@@ -164,47 +130,3 @@
 
 	return (nRc);
 }
-
-#if 0
-unsigned int EmulateAll1(unsigned int opcode)
-{
-	switch ((opcode >> 24) & 0xf) {
-	case 0xc:
-	case 0xd:
-		if ((opcode >> 20) & 0x1) {
-			switch ((opcode >> 8) & 0xf) {
-			case 0x1:
-				return PerformLDF(opcode);
-				break;
-			case 0x2:
-				return PerformLFM(opcode);
-				break;
-			default:
-				return 0;
-			}
-		} else {
-			switch ((opcode >> 8) & 0xf) {
-			case 0x1:
-				return PerformSTF(opcode);
-				break;
-			case 0x2:
-				return PerformSFM(opcode);
-				break;
-			default:
-				return 0;
-			}
-		}
-		break;
-
-	case 0xe:
-		if (opcode & 0x10)
-			return EmulateCPDO(opcode);
-		else
-			return EmulateCPRT(opcode);
-		break;
-
-	default:
-		return 0;
-	}
-}
-#endif
diff -uNr linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11_cpdo.c linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11_cpdo.c
--- linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11_cpdo.c	Sun Mar  9 13:25:17 2003
+++ linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11_cpdo.c	Sun Mar  9 17:54:24 2003
@@ -22,17 +22,15 @@
 #include "fpa11.h"
 #include "fpopcode.h"
 
-unsigned int SingleCPDO(const unsigned int opcode, FPREG * rfd);
-unsigned int DoubleCPDO(const unsigned int opcode, FPREG * rfd);
-unsigned int ExtendedCPDO(const unsigned int opcode, FPREG * rfd);
+unsigned int SingleCPDO(const unsigned int opcode, FPREG * rFd);
+unsigned int DoubleCPDO(const unsigned int opcode, FPREG * rFd);
+unsigned int ExtendedCPDO(const unsigned int opcode, FPREG * rFd);
 
 unsigned int EmulateCPDO(const unsigned int opcode)
 {
 	FPA11 *fpa11 = GET_FPA11();
 	FPREG *rFd;
 	unsigned int nType, nDest, nRc;
-
-	//printk("EmulateCPDO(0x%08x)\n",opcode);
 
 	/* Get the destination size.  If not valid let Linux perform
 	   an invalid instruction trap. */
diff -uNr linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11_cpdt.c linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11_cpdt.c
--- linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11_cpdt.c	Sun Mar  9 13:28:44 2003
+++ linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11_cpdt.c	Sun Mar  9 17:55:31 2003
@@ -187,8 +187,6 @@
 	unsigned int *pBase, *pAddress, *pFinal, nRc = 1,
 	    write_back = WRITE_BACK(opcode);
 
-	//printk("PerformLDF(0x%08x), Fd = 0x%08x\n",opcode,getFd(opcode));
-
 	pBase = (unsigned int *) readRegister(getRn(opcode));
 	if (REG_PC == getRn(opcode)) {
 		pBase += 2;
@@ -230,7 +228,6 @@
 	unsigned int *pBase, *pAddress, *pFinal, nRc = 1,
 	    write_back = WRITE_BACK(opcode);
 
-	//printk("PerformSTF(0x%08x), Fd = 0x%08x\n",opcode,getFd(opcode));
 	SetRoundingMode(ROUND_TO_NEAREST);
 
 	pBase = (unsigned int *) readRegister(getRn(opcode));
@@ -341,13 +338,10 @@
 	return 1;
 }
 
-#if 1
 unsigned int EmulateCPDT(const unsigned int opcode)
 {
 	unsigned int nRc = 0;
 
-	//printk("EmulateCPDT(0x%08x)\n",opcode);
-
 	if (LDF_OP(opcode)) {
 		nRc = PerformLDF(opcode);
 	} else if (LFM_OP(opcode)) {
@@ -362,4 +356,3 @@
 
 	return nRc;
 }
-#endif
diff -uNr linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11_cprt.c linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11_cprt.c
--- linux-2.4.19-rmk6/arch/arm/nwfpe-rfs1/fpa11_cprt.c	Sun Mar  9 13:31:55 2003
+++ linux-2.4.19-rmk6/arch/arm/nwfpe-rfs2/fpa11_cprt.c	Sun Mar  9 17:57:42 2003
@@ -43,8 +43,6 @@
 {
 	unsigned int nRc = 1;
 
-	//printk("EmulateCPRT(0x%08x)\n",opcode);
-
 	if (opcode & 0x800000) {
 		/* This is some variant of a comparison (PerformComparison will
 		   sort out which one).  Since most of the other CPRT
@@ -179,7 +177,6 @@
 }
 
 /* This instruction sets the flags N, Z, C, V in the FPSR. */
-
 static unsigned int PerformComparison(const unsigned int opcode)
 {
 	FPA11 *fpa11 = GET_FPA11();
@@ -188,8 +185,6 @@
 	int e_flag = opcode & 0x400000;	/* 1 if CxFE */
 	int n_flag = opcode & 0x200000;	/* 1 if CNxx */
 	unsigned int flags = 0;
-
-	//printk("PerformComparison(0x%08x)\n",opcode);
 
 	Fn = getFn(opcode);
 	Fm = getFm(opcode);
